#include <stdlib.h>
//#include <types.h>
#include <stdio.h>
//#include <asm/signal.h>

#include "eloop.h"

void sighup_handler( int sig, void *eloop_ctx, void *signal_ctx ){
	printf( "Received SIGHUP\n" );
	eloop_terminate();
}

void timeout_handler( void *eloop_data, void *user_ctx )
{
	printf( "Received timeout\n" );
}

int main(){

	printf( "My pid: %d\n", getpid() );
	eloop_init( NULL );
	int ret = eloop_register_signal( 1, sighup_handler, NULL );
	printf( "eloop_register_signal returned: %d\n", ret );

	eloop_register_timeout( 10, 0, timeout_handler, NULL, NULL );

	printf( "About to run eloop\n" );

	eloop_run();

	printf( "Out of eloop\n" );
}

